Package com.google.earth.kml._2

# Class KmlType

java.lang.Object
com.google.earth.kml._2.KmlType

public class KmlType extends Object
<p>Java class for KmlType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="KmlType"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <all> <element name="NetworkLinkControl" type="{http://earth.google.com/kml/2.1}NetworkLinkControlType" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Feature" minOccurs="0"/> </all> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected jakarta.xml.bind.JAXBElement<? extends FeatureType>`
  `feature`
  `protected NetworkLinkControlType`
  `networkLinkControl`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmlType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.xml.bind.JAXBElement<? extends FeatureType>`
  `getFeature()`
  Gets the value of the feature property.
  `NetworkLinkControlType`
  `getNetworkLinkControl()`
  Gets the value of the networkLinkControl property.
  `void`
  `setFeature(jakarta.xml.bind.JAXBElement<? extends FeatureType> value)`
  Sets the value of the feature property.
  `void`
  `setNetworkLinkControl(NetworkLinkControlType value)`
  Sets the value of the networkLinkControl property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### networkLinkControl

    protected NetworkLinkControlType networkLinkControl

  - ### feature

    protected jakarta.xml.bind.JAXBElement<? extends FeatureType> feature

- ## Constructor Details

  - ### KmlType

    public KmlType()

- ## Method Details

  - ### getNetworkLinkControl

    public NetworkLinkControlType getNetworkLinkControl()
    Gets the value of the networkLinkControl property.
    Returns:
      possible object is `NetworkLinkControlType`

  - ### setNetworkLinkControl

    public void setNetworkLinkControl(NetworkLinkControlType value)
    Sets the value of the networkLinkControl property.
    Parameters:
      `value` - allowed object is `NetworkLinkControlType`

  - ### getFeature

    public jakarta.xml.bind.JAXBElement<? extends FeatureType> getFeature()
    Gets the value of the feature property.
    Returns:
      possible object is `JAXBElement``<``DocumentType``>` `JAXBElement``<``FeatureType``>` `JAXBElement``<``FolderType``>` `JAXBElement``<``GroundOverlayType``>` `JAXBElement``<``NetworkLinkType``>` `JAXBElement``<``PlacemarkType``>` `JAXBElement``<``ScreenOverlayType``>`

  - ### setFeature

    public void setFeature(jakarta.xml.bind.JAXBElement<? extends FeatureType> value)
    Sets the value of the feature property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``DocumentType``>` `JAXBElement``<``FeatureType``>` `JAXBElement``<``FolderType``>` `JAXBElement``<``GroundOverlayType``>` `JAXBElement``<``NetworkLinkType``>` `JAXBElement``<``PlacemarkType``>` `JAXBElement``<``ScreenOverlayType``>`